{% extends 'pages/admin_page.html' %}
{% load static %}

{% block title %}AllRooms{% endblock %}

{% block admin_content %}
    {% for room in rooms %}
        <div class="row">
            <div class="card col-xl-3 col-lg-4 col-md-6 col-sm-12"
                 style="max-width: 20rem;">
                <div class="card-header fw-bold">{{ room.name }}</div>
{#                <img src="{{ room.image.url }}" class="card-img-top"> {# alt="{{ room.name }}" #}
                <div class="card-body">

                    {% if perms.rooms.details_room %}
                        <a class="btn btn-success btn-sm" href="{% url 'room_details' room.id %}" role="button">Vezi
                            Camera</a>
                    {% endif %}
                    {% if perms.rooms.change_room %}
                        <a class="btn btn-primary btn-sm" href="{% url 'room_update' room.id %}" role="button">Actualizeaza
                            Camera</a>
                    {% endif %}
                    {% if perms.rooms.delete_room %}
                        <a class="btn btn-danger btn-sm" href="{% url 'room_delete' room.id %}"
                           role="button">Sterge Camera</a>
                    {% endif %}
                </div>
            </div>
        </div>
    {% endfor %}
{% endblock %}
